﻿@model dbChange.Models.PhieuDangKyRaVaoCong;
@using dbChange.Models.LIB;

@{
    ViewData["Title"] = "ThemPhieuDangKyRaVaoCong";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var lsDonVi = ViewData["DonVi"] as List<DM_BoPhanChiTiet>;
}

    <div class="" style="background-color:white;">
        <div class="row p-2">
            <h4 style="color:red;text-align:center;width: 100%; text-transform: uppercase; font-weight: bold;">Thêm phiếu đăng ký ra vào cổng</h4>
        </div>
        <div class="row">
            <div class="col-12">
                <form id="box_form_employee" class="form_employee_validation" novalidate>
                    <div class="form-row">
                        <div class="col-md-6 mb-6">
                            <label for="Id">Đơn vị </label>
                            <select class="form-control form-control-sm" name="DonVi" id="DonVi">
                                <option value="-1">Chọn đơn vị</option>
                                @{
                                    foreach (var item in lsDonVi)
                                    {
                                        <option value="@item.Id">@item.TenDonVi</option>
                                    }
                                }
                            </select>

                            <label for="Id">Từ ngày</label>
                            <input type="date" class="form-control form-control-sm" value="@System.DateTime.UtcNow.ToString("yyyy-MM-dd")" name="NgayDangKyTuNgay" id="NgayDangKyTuNgay">
                            <label for="Id">Đến ngày</label>
                            <input type="date" class="form-control form-control-sm" value="@System.DateTime.UtcNow.ToString("yyyy-MM-dd")" name="NgayDangKyDenNgay" id="NgayDangKyDenNgay">

                        </div>
                        <div class="col-md-6 mb-6">
                            <label for="Id">Ghi chú </label>
                            <textarea class="form-control" name="GhiChu" id="GhiChu"></textarea>
                        </div>
                    </div>
                    <div class="form-row mt-3">
                        <button class="btn btn-primary btnTaoPhieuDangKyRaVaoCong" type="button" style="  margin-left:10px;  float: right;"><i class="fa fa-save"></i>Lưu phiếu</button>
                        <button class="btn btn-success" disabled type="button" style=" margin-left:10px;float: right;"><i class="fa fa-plus"></i>Thêm nhân viên</button>
                        <a class="btn btn-secondary btn-sm" style=" margin-left:10px;float: left;" asp-action="Index" asp-controller="PhieuDangKyRaVaoCong"> <i class="fa fa-forward"></i>Quay lại</a>
                    </div>
                </form>
            </div>
        </div>

        <div class="row pb-5">
            <div class="col-12">
                <div id="gridContainer" style="width: 100%;"></div>
            </div>
        </div>
    </div>



